<?php
/*******************************************************************************

    Author ......... Jimmy Conner
    Contact ........ jimmy@advcs.org
    Home Site ...... http://www.advcs.org/
    Program ........ Archive Mail
    Version ........ 0.9
    Purpose ........ Allows you to download your email in a compressed archive

*******************************************************************************/

      define('SM_PATH','../../../');

      /* SquirrelMail required files. */

      require_once(SM_PATH . 'include/validate.php');
      require_once(SM_PATH . 'functions/page_header.php');
      require_once(SM_PATH . 'functions/imap.php');
      require_once(SM_PATH . 'include/load_prefs.php');

      include_once(SM_PATH . 'plugins/archive_mail/includes/display_save.php');

      displayPageHeader($color, 'None');

      global $username, $data_dir;

      $filename = getHashedFile($username, $data_dir, "$username.pref");

      $archivefilenames = getPref($filename, $username, 'archivefilenames');
      $archiveattachments = getPref($filename, $username, 'archiveattachments');
      $archivetype = getPref($filename, $username, 'archivetype');
      $archiveent = getPref($filename, $username, 'archiveent');

      $archivecompressfile = getPref($filename, $username, 'archivecompressfile');
      $archivefilecounter = getPref($filename, $username, 'archivefilecounter');

      $archiveencoding = getPref($filename, $username, 'archiveencoding');
      $archivecrlf = getPref($filename, $username, 'archivecrlf');


   bindtextdomain('archive_mail', SM_PATH . 'plugins/archive_mail/locale');
   textdomain('archive_mail');

      echo "<BR><center><table><form method=post action=\"" . SM_PATH . "plugins/archive_mail/includes/display_inside.php\">\n";
      echo "<tr><td colspan=2 ALIGN=center BGCOLOR='" .$color[0]. "'><B>"
            . _("Archive Settings") . "</B></td></tr>\n";

      echo "<tr><td align=right valign=bottom>\n";
      echo _("Format Emails as") . ":</td>\n";
      echo "<td><select name=archiveent>\n";

      echo "<option value=1";
      if ($archiveent == 1) echo " SELECTED";
      echo ">" . _("EML Messages") . "</option>\n";

      echo "<option value=2";
      if ($archiveent == 2) echo " SELECTED";
      echo ">" . _("Mbox") . "</option>\n";

      echo "<option value=3";
      if ($archiveent == 3) echo " SELECTED";
      echo ">" . _("Maildir") . "</option>\n";
/*
      echo "<option value=4";
      if ($archiveent == 4) echo " SELECTED";
      echo ">" . _("PST") . "</option>\n";
*/
      echo "<option value=0";
      if ($archiveent == 0) echo " SELECTED";
      echo ">" . _("Separate Entities") . "</option>\n";

      echo "</select><br>\n";
      echo "</td></tr>\n";

      echo "<tr><td align=right valign=bottom>\n";
      echo _("Save Attachments") . ":</td>\n";
      echo "<td><input type=radio name=\"archiveattachments\" value=1";

      if ($archiveattachments == 1) echo " checked";
      echo ">&nbsp;" . _("Yes") . "&nbsp;&nbsp;&nbsp;&nbsp;<input type=radio name=\"archiveattachments\" value=0";
      if ($archiveattachments == 0) echo " checked";
      echo ">&nbsp;" . _("No") . "</td>\n";

      echo "</tr>\n";
      echo "<tr><td colspan=2><center><input type=submit name=submit value='" . _("Save") . "'></form><center></td></tr>\n";

      echo "<tr><td colspan=2 BGCOLOR='" .$color[0]. "'><center><b>";
      switch ($archiveent) {
         case 0:  print _("Separate Entities") . " " . _("Options");
                  break;
         case 1:  print _("EML Messages") . " " . _("Options");
                  break;
         case 2:  print _("Mbox") ." " . _("Options");
                  break;
         case 3:  print _("Maildir") ." " . _("Options");
                  break;
      }
      echo "</b></center></td></tr>\n";

      echo "<tr><td align=right valign=bottom><form method=post action=\"" . SM_PATH . "plugins/archive_mail/includes/display_inside.php\">\n";
      echo _("Compress Type") . ":</td>\n";

      echo "<td><select name=archivetype>\n";
      echo "<option value=3";
      if ($archivetype == 3) echo " SELECTED";
      echo ">" . _("Tar") . "</option>\n";

      echo "<option value=1";
      if ($archivetype == 1) echo " SELECTED";
      echo ">" . _("Tar.GZ") . "</option>\n";

      if ($archiveent == 2) {
         echo "<option value=2";
         if ($archivetype == 2) echo " SELECTED";
         echo ">" . _("Text") . "</option>\n";
      }
      echo "<option value=0";
      if ($archivetype == 0) echo " SELECTED";
      echo ">" . _("Zip") . "</option>\n";
      echo "</select><br>\n";
      echo "</td></tr>\n";

      if ($archiveent < 2) {
         echo "<tr><td align=right valign=bottom>\n";
         echo _("Email Filename") . ":</td>\n";
         echo "<td><select name=archivefilenames>\n";

         echo "<option value=0";
         if ($archivefilenames == 0) echo " SELECTED";
         echo ">" . _("Numbered") . "</option>\n";
         echo "<option value=1";
         if ($archivefilenames == 1) echo " SELECTED";
         echo ">" . _("Date") . "</option>\n";
         echo "<option value=2";
         if ($archivefilenames == 2) echo " SELECTED";
         echo ">" . _("Date") . " - " . _("Email") . "</option>\n";
         echo "<option value=7";
         if ($archivefilenames == 7) echo " SELECTED";
         echo ">" . _("Date") . " - " . _("Subject") . "</option>\n";
         echo "<option value=3";
         if ($archivefilenames == 3) echo " SELECTED";
         echo ">" . _("Email") . "</option>\n";
         echo "<option value=4";
         if ($archivefilenames == 4) echo " SELECTED";
         echo ">" . _("Email") . " - " . _("Date") . "</option>\n";
         echo "<option value=6";
         if ($archivefilenames == 6)  echo " SELECTED";
         echo ">" . _("Email") . " - " . _("Subject") . "</option>\n";
         echo "<option value=5";
         if ($archivefilenames == 5)  echo " SELECTED";
         echo ">" . _("Subject") . "</option>\n";

         echo "<option value=8";
         if ($archivefilenames == 8) echo " SELECTED";
         echo ">" . _("Subject") . " - " . _("Email") . "</option>\n";

         echo "<option value=9";
         if ($archivefilenames == 9) echo " SELECTED";
         echo ">" . _("Subject") . " - " . _("Date") . "</option>\n";

         echo "</select>&nbsp;&nbsp;". _("[Email] is address.") . "<br>\n";
         echo "</td></tr>\n";

         echo "<tr><td align=right valign=top>\n";
         echo _("Encoding") . ":</td>\n";
         echo "<td><select name=archiveencoding>\n";
           echo "<option value=1" ;
             if ($archiveencoding == 1) echo " SELECTED";
           echo ">" . _("S-JIS") . "</option>\n";
           echo "<option value=2" ;
             if ($archiveencoding == 2)  echo " SELECTED";
           echo ">" . _("EUC") . "</option>\n";
           echo "<option value=3";
             if ($archiveencoding == 3)  echo " SELECTED";
           echo ">" . _("UTF-8") . "</option>\n";
           echo "<option value=0";
             if ($archiveencoding == 0)  echo " SELECTED";
           echo ">" . _("ASCII") . "</option>\n";
         echo "</select>\n";
         echo "</td></tr>\n";

         if ($archiveent == 0) {
            echo "<tr><td align=right valign=top>\n";
            echo _("Text CR,LF,CR+LF Coode") . ":</td>\n";
            echo "<td><select name=archivecrlf>\n";
              echo "<option value=0" ;
              echo ">" . _("LF") . "</option>\n";
              echo "<option value=1" ;
              if ($archivecrlf == 1)  echo " SELECTED";
              echo ">" . _("CR") . "</option>\n";
              echo "<option value=2";
              if ($archivecrlf == 2)  echo " SELECTED";
              echo ">" . _("CR+LF") . "</option>\n";
            echo "</select>\n";
            echo "</td></tr>\n";
         }
      }
      echo "<tr><td colspan=2><center><input type=submit name=submit value='" . _("Save") . "'></form></center></td></tr>\n";

      echo "<tr><td colspan=2 BGCOLOR='" .$color[0]. "'><center><b>";
         echo _("Archive Compress File Name Setting");
         echo "</b></center>" ;
         echo "</td></tr>\n";

      echo "<tr><td align=right valign=bottom>\n";
         echo _("Archive Compress File Name") . ":" . "</td>\n";

         echo "<td valign=bottom>\n" ;
         echo "<form method=post action=\"" . SM_PATH . "plugins/archive_mail/includes/display_inside.php\">\n";

         echo "<INPUT TYPE=\"text\" NAME=\"archivecompressfile\" VALUE=\"" .$archivecompressfile . "\" SIZE=13 MAXLENGTH=12>" ;
         echo "&nbsp;&nbsp;&nbsp;" . _("Only Alphabet and Numeric, Max length is 12.") . "</td></tr>\n";

      echo "<tr><td colspan=2><center>" ;
      echo "<input type=submit name=submit value='" . _("Save") . "'>" ;
      echo "</form></center></td></tr>\n";

      $tarray = array('zip','gzip','text','tar');
      echo "<tr><td colspan=2 BGCOLOR='" .$color[0]. "'><center><b>";
      echo _("Archive File Counter Setting");
      echo "</b></center>" ;
      echo "</td></tr>\n";

      echo "<tr><td align=right valign=bottom><BIG><B>\n";
      echo $archivecompressfile. "</B></BIG></td>\n";

      echo "<td valign=bottom>\n" ;
      echo "<form method=post action=\"" . SM_PATH . "plugins/archive_mail/includes/display_inside.php\">\n";

      echo "<INPUT TYPE=\"text\" NAME=\"archivefilecounter\" VALUE=\"" .$archivefilecounter . "\" SIZE=11 MAXLENGTH=9 STYLE=\"text-align: right;\">" ;
      echo "<BIG><B>." . $tarray[$archivetype] . 
           "</B></BIG>&nbsp;&nbsp;&nbsp;" . _("Input Numeric") . "</td></tr>\n";

      echo "<tr><td colspan=2><center>" ;
      echo "<input type=submit name=submit value='" . _("Save") . "'>" ;
      echo "</form></center></td></tr>\n";

      echo "<tr><td colspan=2 BGCOLOR='" .$color[0]. "'><center><b>";
      echo "</b></center></td></tr>\n";

      echo '</table></center>';

   bindtextdomain('squirrelmail', SM_PATH . 'locale');
   textdomain('squirrelmail');

      function getByteSize($ini_size) {
         if(!$ini_size) return FALSE;
         $ini_size = trim($ini_size);
         switch(strtoupper(substr($ini_size, -1))) {
            case 'G':
               $bytesize = 1073741824;
               break;
            case 'M':
               $bytesize = 1048576;
               break;
            case 'K':
               $bytesize = 1024;
               break;
            default:
               $bytesize = 1;
         }
         $bytesize *= (int)substr($ini_size, 0, -1);
         return $bytesize;
      }


?>